<?xml version="1.0"?>
<project name="Download third party components"  default=""  >

	<taskdef name="autoMirrorSelect" classname="org.eclipse.aperi.install.AutomaticMirrorSelection" />

	<target name="download" depends="">
		<mkdir dir="../plugins/org.eclipse.aperi.reporting_5.0.0/web/birt-viewer/WEB-INF/platform/plugins/com.lowagie.itext/lib"/>
		<get description="iText 1.3" src="http://downloads.sourceforge.net/itext/itext-1.3.jar"
		 	dest="../plugins/org.eclipse.aperi.reporting_5.0.0/web/birt-viewer/WEB-INF/platform/plugins/com.lowagie.itext/lib/itext-1.3.jar"
			verbose="true" />
		<mkdir dir="temp"/>
		<get description="Apache Geronimo 1.1" src="http://www.apache.org/dist/geronimo/1.1/geronimo-tomcat-j2ee-1.1.zip"
		 	dest="temp/geronimo-tomcat-j2ee-1.1.zip" usetimestamp="true" 
			verbose="true" />
		<delete file="../plugins/javax.j2ee_1.0.0/geronimo-j2ee_1.4_spec-1.1.jar" />
		<unzip src="temp/geronimo-tomcat-j2ee-1.1.zip" dest="../plugins/javax.j2ee_1.0.0" >
			<patternset>
				<include name="**/geronimo-j2ee_1.4_spec-1.1.jar"/>
			</patternset>
			<mapper type="flatten"/>
		</unzip>
		<delete file="temp/geronimo-tomcat-j2ee-1.1.zip" />
		<get description="Apache Jasper 5.5.17" src="http://download.eclipse.org/tools/orbit/downloads/drops/R200706131308/bundles/org.apache.jasper_5.5.17.v200706111724.jar"
		 	dest="../plugins/org.apache.jasper_5.5.17.v200706111724.jar" 
			verbose="true" />
		<get description="Servlet API Bundle" src="http://download.eclipse.org/tools/orbit/downloads/drops/R200706131308/bundles/javax.servlet_2.4.0.v200706111738.jar"
		 	dest="../plugins/javax.servlet_2.4.0.v200706111738.jar" 
			verbose="true" />
		<get description="Dojo Toolkit 0.4.2p1" src="http://download.dojotoolkit.org/release-0.4.2/dojo-0.4.2p1-ajax.zip"
		 	dest="temp/dojo-0.4.2p1-ajax.zip" usetimestamp="true" 
			verbose="true" />
		<unzip src="temp/dojo-0.4.2p1-ajax.zip" dest="../plugins/org.eclipse.aperi.reporting_5.0.0/web/aperi-reports" />
		<move todir="../plugins/org.eclipse.aperi.reporting_5.0.0/web/aperi-reports/dojoAjax">
			<fileset dir="../plugins/org.eclipse.aperi.reporting_5.0.0/web/aperi-reports/dojo-0.4.2p1-ajax"/>
		</move>
		<delete file="temp/dojo-0.4.2p1-ajax.zip" />
		<autoMirrorSelect mirrorUrl="http://www.eclipse.org/downloads/download.php?file=/eclipse/equinox/drops/S-3.3M6-200703231616/javax.servlet.jsp_2.0.0.v200612120446.jar&amp;protocol=http&amp;format=xml"
			property="url.JspApi" />
		<get description="JSP API Bundle" src="${url.JspApi}"
		 	dest="../plugins/javax.servlet.jsp_2.0.0.v200612120446.jar" 
			verbose="true" />
		<autoMirrorSelect mirrorUrl="http://www.eclipse.org/downloads/download.php?file=/eclipse/equinox/drops/S-3.3M7-200705031400/org.apache.commons.el_1.0.0.v200704241052.jar&amp;protocol=http&amp;format=xml"
			property="url.ApacheCommons" />
		<get description="Apache Commons EL 1.0.0" src="${url.ApacheCommons}"
		 	dest="../plugins/org.apache.commons.el_1.0.0.v200704241052.jar" 
			verbose="true" />
	</target>	

</project>